searchData={"items":[{"type":"module","title":"Structo","doc":"JavaScript-style object constructors.\n\nThis library allows you to construct maps and structs like this:\n\n    ~m{a, b, c: d}\n\nInstead of:\n\n    %{a: a, b: b, c: d}\n\nAnd it works in matches too:\n\n    iex> ~m{a, b: 2} = %{a: 1, b: 2}\n    iex> a\n    1","ref":"Structo.html"},{"type":"macro","title":"Structo.sigil_m/2","doc":"This sigil acts as a shorthand for constructing maps with\nJavaScript-like syntax.","ref":"Structo.html#sigil_m/2"},{"type":"macro","title":"Examples - Structo.sigil_m/2","doc":"iex> import Structo\n    iex> a = 1; b = 2; d = 3\n    iex> ~m{a, b, c: d}\n    %{a: 1, b: 2, c: 3}","ref":"Structo.html#sigil_m/2-examples"},{"type":"macro","title":"String keys - Structo.sigil_m/2","doc":"The optional `s` modifier can be used to construct a map using\nstring keys rather than atom keys:\n\n    iex> import Structo\n    iex> a = 1; b = 2; d = 3\n    iex> ~m{a, b, c: d}s\n    %{\"a\" => 1, \"b\" => 2, \"c\" => 3}","ref":"Structo.html#sigil_m/2-string-keys"},{"type":"macro","title":"Structs - Structo.sigil_m/2","doc":"This library can construct standard Elixir structs too:\n\n    iex> import Structo\n    iex> alias Hello.MyStruct\n    iex> a = 1\n    iex> ~m{:MyStruct, a, b: 2}\n    %Hello.MyStruct{a: 1, b: 2}\n\nThis syntax is preferred over the deprecated `use Structo` behaviour,\nwhich will be removed in the next release.","ref":"Structo.html#sigil_m/2-structs"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.2"}}